com.informix.csm

## Class IfxCsmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.informix.asf.IfxASFException
      - - com.informix.csm.IfxCSSException
        - - com.informix.csm.IfxCsmException

All Implemented Interfaces:
  java.io.Serializable

    public class IfxCsmException
    extends IfxCSSException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IfxCsmException(int errId, java.lang.String errmsg)`

### Method Summary

### Methods inherited from class com.informix.asf.IfxASFException

`getErrorId, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxCsmException

    public IfxCsmException(int errId,
                   java.lang.String errmsg)